<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <artifactId>ruoyi-vue-plus</artifactId>
    <groupId>com.ruoyi</groupId>
    <version>4.6.0</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <packaging>jar</packaging>
  <artifactId>ruoyi-admin</artifactId>

  <description>
    web服务入口
  </description>

  <dependencies>
    <!-- spring-boot-devtools -->
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-devtools</artifactId>
      <optional>true</optional> <!-- 表示依赖不会传递 -->
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-test</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.velocity</groupId>
      <artifactId>velocity-engine-core</artifactId>
    </dependency>

    <!-- Mysql驱动包 -->
    <dependency>
      <groupId>com.mysql</groupId>
      <artifactId>mysql-connector-j</artifactId>
    </dependency>
    <!-- Oracle -->
    <dependency>
      <groupId>com.oracle.database.jdbc</groupId>
      <artifactId>ojdbc8</artifactId>
    </dependency>
    <!-- PostgreSql -->
    <dependency>
      <groupId>org.postgresql</groupId>
      <artifactId>postgresql</artifactId>
    </dependency>
    <!-- SqlServer -->
    <dependency>
      <groupId>com.microsoft.sqlserver</groupId>
      <artifactId>mssql-jdbc</artifactId>
    </dependency>

    <!-- 核心模块-->
    <dependency>
      <groupId>com.ruoyi</groupId>
      <artifactId>ruoyi-framework</artifactId>
    </dependency>

    <dependency>
      <groupId>com.ruoyi</groupId>
      <artifactId>ruoyi-system</artifactId>
    </dependency>

    <dependency>
      <groupId>com.ruoyi</groupId>
      <artifactId>ruoyi-system-cron</artifactId>
    </dependency>

    <dependency>
      <groupId>com.ruoyi</groupId>
      <artifactId>ruoyi-oss</artifactId>
    </dependency>


    <!--  demo模块  -->
    <dependency>
      <groupId>com.ruoyi</groupId>
      <artifactId>ruoyi-demo</artifactId>
    </dependency>

    <dependency>
      <groupId>org.apache.velocity</groupId>
      <artifactId>velocity-engine-core</artifactId>
    </dependency>

    <!-- skywalking 整合 logback -->
    <!--        <dependency>-->
    <!--            <groupId>org.apache.skywalking</groupId>-->
    <!--            <artifactId>apm-toolkit-logback-1.x</artifactId>-->
    <!--            <version>${与你的agent探针版本保持一致}</version>-->
    <!--        </dependency>-->
    <!--        <dependency>-->
    <!--            <groupId>org.apache.skywalking</groupId>-->
    <!--            <artifactId>apm-toolkit-trace</artifactId>-->
    <!--            <version>${与你的agent探针版本保持一致}</version>-->
    <!--        </dependency>-->

  </dependencies>

  <build>
    <finalName>${project.artifactId}</finalName>
    <plugins>
      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
        <version>${spring-boot.version}</version>

        <dependencies>
          <!--这个plugin是给mvn用的
          mvn spring-boot:run -->
          <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>springloaded</artifactId>
            <version>1.2.8.RELEASE</version>
          </dependency>
        </dependencies>
        <configuration>
          <fork>true</fork> <!-- 如果没有该配置，devtools不会生效 -->
        </configuration>
        <executions>
          <execution>
            <goals>
              <goal>repackage</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-war-plugin</artifactId>
        <version>3.2.2</version>
        <configuration>
          <failOnMissingWebXml>false</failOnMissingWebXml>
          <warName>${project.artifactId}</warName>
        </configuration>
      </plugin>

      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
        <configuration>
          <excludes>
            <exclude>
              <groupId>org.projectlombok</groupId>
              <artifactId>lombok</artifactId>
            </exclude>
          </excludes>
          <mainClass>com.ruoyi.RuoYiApplication</mainClass>
          <layout>ZIP</layout>
          <includes>
            <include>
              <groupId>nothing1</groupId>
              <artifactId>nothing</artifactId>
            </include>
          </includes>
        </configuration>
        <executions>
          <execution>
            <goals>
              <goal>repackage</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
        <executions>
          <execution>
            <id>copy</id>
            <phase>package</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <outputDirectory>target/lib/</outputDirectory>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

</project>
